| The Gaudi Framework v32r1 (f65d50dc)

Public Member Functions | Protected Attributes | List of all members
IRndmGen::Param Class Referenceabstract

`#include <GaudiKernel/IRndmGen.h>`

Inheritance diagram for IRndmGen::Param:
[legend]
Collaboration diagram for IRndmGen::Param:
[legend]

## Public Member Functions
| Param (const InterfaceID &type=IID_IRndmFlat)
| Standard constructor. More...
virtual | ~Param ()=default
| Standard Destructor. More...
virtual const InterfaceID & | type () const
| Parameter's type. More...
virtual Param * | clone () const =0
| Clone parameters. More...

## Protected Attributes
const InterfaceID | m_type
| Type of the generator. More...

## Detailed Description

Definition at line 39 of file IRndmGen.h.

## Constructor & Destructor Documentation

## ◆ Param()

IRndmGen::Param::Param | ( | const InterfaceID & | type = `IID_IRndmFlat` | ) |
| inline

Standard constructor.

Definition at line 46 of file IRndmGen.h.

46 : m_type( type ) {}
IRndmGen::Param::type
virtual const InterfaceID & type() const
Parameter's type.
Definition: IRndmGen.h:50
IRndmGen::Param::m_type
const InterfaceID m_type
Type of the generator.
Definition: IRndmGen.h:42

## ◆ ~Param()

virtual IRndmGen::Param::~Param | ( |  | ) |
| virtual default

Standard Destructor.

## Member Function Documentation

## ◆ clone()

virtual Param* IRndmGen::Param::clone | ( |  | ) | const
| pure virtual

Clone parameters.

Implemented in Rndm::GaussianTail, Rndm::DefinedPdf, Rndm::Bit, Rndm::Flat, Rndm::Binomial, Rndm::Poisson, Rndm::Gamma, Rndm::StudentT, Rndm::BreitWignerCutOff, Rndm::Landau, Rndm::BreitWigner, Rndm::Chi2, Rndm::Exponential, and Rndm::Gauss.

## ◆ type()

virtual const InterfaceID& IRndmGen::Param::type | ( |  | ) | const
| inline virtual

Parameter's type.

Definition at line 50 of file IRndmGen.h.

50 { return m_type; }
IRndmGen::Param::m_type
const InterfaceID m_type
Type of the generator.
Definition: IRndmGen.h:42

## Member Data Documentation

## ◆ m_type

const InterfaceID IRndmGen::Param::m_type
| protected

Type of the generator.

Definition at line 42 of file IRndmGen.h.

The documentation for this class was generated from the following file:

- GaudiKernel/GaudiKernel/IRndmGen.h